## org.eclipse.datatools.sqltools.editor.core.connection
Interface ISQLToolsConnectListener

    public interface ISQLToolsConnectListener

All classes in SQL Dev Tools which need to be notified when connect events occur should implement this interface instead of `IConnectListener` to reduce the coupling between SQL Dev Tools and Connectivity layer, and meanwhile make the boundary clear.

NOTE: we do not throw out `CoreException` in `openConnection` and `closeConnection`, and implementors can do anything in these two methods

Author:
  Idull

Method Summary
`void` `aboutToClose(ConnectEvent event)` The profile is about to close
`void` `closeConnection(ConnectEvent event)` The profile is to be disconnected
`boolean` `okToClose(ConnectEvent event)` Asks if the profile can be closed currently
`void` `profileConnected(ConnectEvent event)` The profile is connected.

Method Detail

### okToClose

    boolean okToClose(ConnectEvent event)

  Asks if the profile can be closed currently

  Parameters:
    `event` - the connect event
  Returns:
    <true> if the profile can be close, <false> otherwise

### aboutToClose

    void aboutToClose(ConnectEvent event)

  The profile is about to close

  Parameters:
    `event` - the connect event

### profileConnected

    void profileConnected(ConnectEvent event)

  The profile is connected. There is no guarantee that all components (which depend on connectivity) are successfully connected

  Parameters:
    `event` - the connect event

### closeConnection

    void closeConnection(ConnectEvent event)

  The profile is to be disconnected

  Parameters:
    `event` - the connect event

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.